// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/": {
            "get": {
                "description": "Beginning Page",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Root"
                ],
                "summary": "Root",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200ROOT"
                        }
                    }
                }
            }
        },
        "/login": {
            "post": {
                "description": "Login a user",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Login"
                ],
                "summary": "Login",
                "parameters": [
                    {
                        "description": "Login Body",
                        "name": "login",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.LOGIN"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200LOGIN"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER401403LOGIN"
                        }
                    },
                    "403": {
                        "description": "Forbidden",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER401403LOGIN"
                        }
                    }
                }
            }
        },
        "/logout": {
            "post": {
                "description": "Logout a user",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Logout"
                ],
                "summary": "Logout",
                "parameters": [
                    {
                        "description": "Logout Body",
                        "name": "logout",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.TOKEN"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"status\":  \"OK\",\"message\": \"Successfully logout\",}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "{\"message\": \"No records of token found\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/register": {
            "post": {
                "description": "Register a user",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Register"
                ],
                "summary": "Register",
                "parameters": [
                    {
                        "description": "Register Body",
                        "name": "register",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.REGISTER"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200LOGIN"
                        }
                    },
                    "409": {
                        "description": "{\"status\": \"Conflict: User already exists\"}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "{\"message\": \"xxxx\"}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "503": {
                        "description": "{\"status\": \"Fail to create token\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/token": {
            "post": {
                "description": "Token Mechanism",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Token"
                ],
                "summary": "Token",
                "parameters": [
                    {
                        "description": "Token Body",
                        "name": "token",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.TOKEN"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "403": {
                        "description": "{}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "{}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user": {
            "get": {
                "description": "path /user",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "/user"
                ],
                "summary": "User",
                "responses": {
                    "200": {
                        "description": "{}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/users/{username}/events": {
            "get": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Get User's Events",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Events"
                ],
                "summary": "Get Events",
                "parameters": [
                    {
                        "type": "string",
                        "description": "view=month",
                        "name": "view",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "startdate=",
                        "name": "startdate",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEEVENT"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEEVENTS"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Edit User's Event",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Events"
                ],
                "summary": "Edit Event",
                "parameters": [
                    {
                        "type": "string",
                        "description": "?event-id=",
                        "name": "event-id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "EditEvent Body",
                        "name": "editEvent",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.EVENT"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEEVENT"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Add User's Events",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Events"
                ],
                "summary": "Add Events",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "AddEvents Body",
                        "name": "addEvents",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.EVENT"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEEVENT"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Remove User's Events",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Events"
                ],
                "summary": "Remove Events",
                "parameters": [
                    {
                        "type": "string",
                        "description": "?event-id=",
                        "name": "event-id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "RemoveEvents Body",
                        "name": "removeEvents",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.EVENT"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEEVENT"
                        }
                    }
                }
            }
        },
        "/users/{username}/reminders": {
            "get": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Get User's Reminders",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Reminders"
                ],
                "summary": "Get Reminders",
                "parameters": [
                    {
                        "type": "string",
                        "description": "?event-id=",
                        "name": "event-id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEREMINDER"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Edit User's Reminder",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Reminders"
                ],
                "summary": "Edit Reminder",
                "parameters": [
                    {
                        "type": "string",
                        "description": "?event-id=",
                        "name": "event-id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "EditReminder Body",
                        "name": "editReminder",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.EVENT"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEREMINDER"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Add User's Reminders",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Reminders"
                ],
                "summary": "Add Reminders",
                "parameters": [
                    {
                        "type": "string",
                        "description": "?event-id=",
                        "name": "event-id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "AddReminders Body",
                        "name": "addReminders",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.EVENT"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEREMINDER"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "bearerAuth": []
                    }
                ],
                "description": "Delete User's Reminders",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Reminders"
                ],
                "summary": "Delete Reminders",
                "parameters": [
                    {
                        "type": "string",
                        "description": "?event-id=",
                        "name": "event-id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "DeleteReminders Body",
                        "name": "deleteReminders",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.EVENT"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200GETADDEDITREMOVEREMINDER"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404400GETEDITREMOVEREMINDERS"
                        }
                    }
                }
            }
        },
        "/users/{username}/reset-password": {
            "put": {
                "description": "Reset User's Password",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Reset Password"
                ],
                "summary": "Reset Password",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Username",
                        "name": "username",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Reset Password Body",
                        "name": "password",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/types.RESETPASSWORD"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER200RESETPASSWORD"
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/types.SWAGGER404RESETPASSWORD"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "types.EVENT": {
            "type": "object",
            "required": [
                "description",
                "scheduled_at",
                "scheduled_until",
                "title"
            ],
            "properties": {
                "allday": {
                    "type": "integer"
                },
                "color": {
                    "type": "integer"
                },
                "description": {
                    "type": "string"
                },
                "event_id": {
                    "type": "integer"
                },
                "reminders": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/types.REMINDER"
                    }
                },
                "scheduled_at": {
                    "type": "string"
                },
                "scheduled_until": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "types.LOGIN": {
            "type": "object",
            "required": [
                "attribute",
                "password"
            ],
            "properties": {
                "attribute": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "types.REGISTER": {
            "type": "object",
            "required": [
                "email",
                "namaLengkap",
                "password",
                "username"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "namaLengkap": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "types.REMINDER": {
            "type": "object",
            "required": [
                "scheduled_at",
                "title"
            ],
            "properties": {
                "event_id": {
                    "type": "integer"
                },
                "reminder_id": {
                    "type": "integer"
                },
                "scheduled_at": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "types.RESETPASSWORD": {
            "type": "object",
            "required": [
                "password"
            ],
            "properties": {
                "password": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER200GETADDEDITREMOVEEVENT": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER200GETADDEDITREMOVEREMINDER": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER200LOGIN": {
            "type": "object",
            "properties": {
                "accessToken": {
                    "type": "string"
                },
                "data": {
                    "type": "string"
                },
                "refreshToken": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER200RESETPASSWORD": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER200ROOT": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER401403LOGIN": {
            "type": "object",
            "properties": {
                "status": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER404400GETEDITREMOVEEVENTS": {
            "type": "object",
            "properties": {
                "status": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER404400GETEDITREMOVEREMINDERS": {
            "type": "object",
            "properties": {
                "status": {
                    "type": "string"
                }
            }
        },
        "types.SWAGGER404RESETPASSWORD": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "types.TOKEN": {
            "type": "object",
            "required": [
                "refreshToken"
            ],
            "properties": {
                "refreshToken": {
                    "type": "string"
                }
            }
        }
    },
    "securityDefinitions": {
        "bearerAuth": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "",
	BasePath:         "/",
	Schemes:          []string{},
	Title:            "Swagger Jadwal",
	Description:      "Dokumentasi API Jadwal.id.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
